# PIP: src/io/pibinarylog.h File Reference

pibinarylog.h File Reference

Binary log. More...

## Classes

class | PIBinaryLog
| Class for read and write binary data to logfile, and playback this data in realtime, or custom speed. More...
struct | PIBinaryLog::BinLogRecordInfo
| Struct contains information about all records with same ID. More...
struct | PIBinaryLog::BinLogInfo
| Struct contains full information about Binary Log file and about all Records using map of BinLogRecordInfo. More...
struct | PIBinaryLog::BinLogIndex
| Struct contains position, ID and timestamp of record in file. More...

## Functions

PICout | operator<< (PICout s, const PIBinaryLog::BinLogInfo &bi)
| Output operator to PICout.

## Detailed Description

Binary log.